org.apache.commons.fileupload

## Class FileUploadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.fileupload.FileUploadException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException, FileUploadBase.UnknownSizeException

      public class FileUploadException
      extends Exception

  Exception for errors encountered while processing the request.
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadException()` Constructs a new `FileUploadException` without message.
    `FileUploadException(String msg)` Constructs a new `FileUploadException` with specified detail message.
    `FileUploadException(String msg, Throwable cause)` Creates a new `FileUploadException` with the given detail message and cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()`
    `void` | `printStackTrace(PrintStream stream)` Prints this throwable and its backtrace to the specified print stream.
    `void` | `printStackTrace(PrintWriter writer)` Prints this throwable and its backtrace to the specified print writer.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadException

          public FileUploadException()

      Constructs a new `FileUploadException` without message.

    - #### FileUploadException

          public FileUploadException(String msg)

      Constructs a new `FileUploadException` with specified detail message.
      Parameters:
        `msg` - the error message.

    - #### FileUploadException

          public FileUploadException(String msg,
                                     Throwable cause)

      Creates a new `FileUploadException` with the given detail message and cause.
      Parameters:
        `msg` - The exceptions detail message.
        `cause` - The exceptions cause.

  - ### Method Detail

    - #### printStackTrace

          public void printStackTrace(PrintStream stream)

      Prints this throwable and its backtrace to the specified print stream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `stream` - `PrintStream` to use for output

    - #### printStackTrace

          public void printStackTrace(PrintWriter writer)

      Prints this throwable and its backtrace to the specified print writer.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `writer` - `PrintWriter` to use for output

    - #### getCause

          public Throwable getCause()

      Overrides:
        `getCause` in class `Throwable`

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.